
From: Andrew Morton <akpm@osdl.org>

Another swsusp fixup.

Russell King <rmk@arm.linux.org.uk>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/arm/kernel/signal.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/arm/kernel/signal.c~arm-swsusp-build-fix arch/arm/kernel/signal.c
--- 25-arm/arch/arm/kernel/signal.c~arm-swsusp-build-fix	2005-06-26 00:44:23.000000000 -0700
+++ 25-arm-akpm/arch/arm/kernel/signal.c	2005-06-26 00:44:32.000000000 -0700
@@ -697,7 +697,7 @@ static int do_signal(sigset_t *oldset, s
 	if (!user_mode(regs))
 		return 0;
 
-	if (try_to_freeze(0))
+	if (try_to_freeze())
 		goto no_signal;
 
 	if (current->ptrace & PT_SINGLESTEP)
_
